<?php
/*
Plugin Name: Income Bot
Plugin URI: https://www.fullstackmonks.com/
Description: Income Bot
Version: 1.0
Author: Full Stack Monks
*/



if( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

add_action('admin_menu', 'income_bot_menu');
	

	 
	/*
	*  admin_menu
	*
	*  This function will add the ACF menu item to the WP admin
	*
	*  @type	action (admin_menu)
	*  @date	28/09/13
	*  @since	5.0.0
	*
	*  @param	n/a
	*  @return	n/a
	*/
	
	function income_bot_menu() {	
		
	
		// add parent
		add_menu_page(
				'Income Bot',
				'Income Bot',
				"manage_options",
				'income_bot_settings',
				'income_bot_view',
				'dashicons-chart-bar',
				'11'
			);		
		
		// add children
		add_submenu_page(
					'income_bot_settings', 
					'Manage Links',
					'Manage Links',
					'manage_options',
					'income_bot_form',
					'income_bot_genrate'
		);	

	
// add children
		add_submenu_page(
			'income_bot_settings', 
			'Settings',
			'Settings',
			'manage_options',
			'income_bot_edit',
			'income_bot_editpage'
		);	
		

		
	}
	
	
	global $jal_db_version;
	$jal_db_version = '1.0';

	function jal_install() {
		global $wpdb;
		global $jal_db_version;

		$table_name = $wpdb->prefix . 'income_bot';
		
		$charset_collate = $wpdb->get_charset_collate();

		$sql = "CREATE TABLE $table_name (
			id mediumint(9) NOT NULL AUTO_INCREMENT,
			content_url varchar(255) DEFAULT '' NOT NULL,
			brand_name varchar(255) NOT NULL,
			message text NOT NULL,
			buttontext varchar(255) DEFAULT '' NOT NULL,
			snip_image varchar(255) DEFAULT '' NOT NULL,
			affilate_url varchar(255) DEFAULT '' NOT NULL,
			background_color varchar(55) DEFAULT '' NOT NULL,			
			button_color varchar(55) DEFAULT '' NOT NULL,
			font_color varchar(55) DEFAULT '' NOT NULL,			
			font_size varchar(55) DEFAULT '' NOT NULL,			
			time datetime DEFAULT CURRENT_TIMESTAMP NOT NULL,
			PRIMARY KEY  (id)
		) $charset_collate;";

		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
		dbDelta( $sql );

		add_option( 'jal_db_version', $jal_db_version );
		
		
		$snippageid = get_option('snippage'); 
		if(empty($snippageid)){
			$post_information = array(
				'post_title' =>  'snip',
				'post_content' => '',
				'post_type' => 'page',
				'post_status' => 'publish'
			);
			$post_id = wp_insert_post( $post_information );
			update_option( 'snippage', $post_id);
		}
	}
		
		
		
	
		
	register_activation_hook( __FILE__, 'jal_install' );



	
	function income_bot_genrate() {		
		
		include('includes/lead_form.php');
		
	}
	
	

	function income_bot_view() {	 
		
		include('includes/integratons.php');
		
	}
	
	function income_bot_editpage() {	 
		
		include('includes/editapge.php');
		
	}
	

add_action( 'admin_enqueue_scripts', 'wptuts_add_color_picker' );
function wptuts_add_color_picker( $hook ) {
 
    if( is_admin() ) { 
     
        // Add the color picker css file       
        wp_enqueue_style( 'wp-color-picker' ); 
         
        // Include our custom jQuery file with WordPress Color Picker dependency
        wp_enqueue_script( 'custom-script-handle', plugins_url( 'js/snipdata.js', __FILE__ ), array( 'wp-color-picker' ), false, true ); 
    }
}



add_filter( 'page_template', 'wpa3396_page_template' );
function wpa3396_page_template( $page_template )
{	
    if ( is_page( 'snip' ) ) {
        $page_template = dirname( __FILE__ ) . '/templates/professionals.php';
    }
    return $page_template;
}


